## quotas-config 1.0.131025

=== debian/changelog ===
quotas-config (1.0.131025) stable; urgency=low

  * Added some extra filtering for usernames obtained out of the home
    directory names; usernames should not contain the character "_".

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 25 Oct 2013 19:30:40 -0200

quotas-config (1.0.120927) stable; urgency=low

  * Fixed the tool myrror-user to account for the possibility of the new
    UUID-based device identification format in the fstab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 27 Sep 2012 11:37:24 -0300

quotas-config (1.0.120925) stable; urgency=low

  * Fixed some of the tools to account for the possibility of the new
    UUID-based device identification format in the fstab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 25 Sep 2012 16:23:48 -0300

quotas-config (1.0.110121) stable; urgency=low

  * Updated a couple of tools (multi-fix-quotas and multi-update-quotas)
    in order to add the capability to handle both normal quotas and
    journaled quotas (jquotas); updated the documentation accordingly;
    also changed a few tools in order to fix a bug with the use of the
    "cleanexit" macro: edit-quotas, edit-fs-quotas, fix-quotas,
    fix-bckp-quotas, update-quotas and update-bckp-quotas.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 21 Jan 2011 01:17:46 -0200

quotas-config (1.0.110120) stable; urgency=low

  * Updated several tools in order to add the capability to handle
    multiple home filesystems and the corresponding backup home
    filesystems on a single machine; the tools modified were: myrror-user,
    clean-user-backups, edit-quotas, edit-fs-quotas, fix-bckp-quotas and
    update-bckp-quotas; also made a small update of the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 20 Jan 2011 17:15:46 -0200

quotas-config (1.0.110118) stable; urgency=low

  * Updated the myrror-user utility: added the capability to handle
    multiple home filesystems on a single machine.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 18 Jan 2011 15:36:51 -0200

quotas-config (1.0.101125) stable; urgency=low

  * Updated the myrror-user utility: fixed a small bug in one of the error
    messages; added the capability to handle a backup home filesystem on a
    remote machine, mounted via NFS by the automounter.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 25 Nov 2010 14:20:40 -0200

quotas-config (1.0.100518) stable; urgency=low

  * Added the utility myrror-user, to automatically keep backups on disk
    of the home directories of users.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 18 May 2010 18:28:06 -0300

quotas-config (1.0.091211) stable; urgency=low

  * Fixed a bug in the tool clean-backup, which prevented it from dealing
    with a backup directory which is in fact a symlink to a directory.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 11 Dec 2009 18:13:39 -0200

quotas-config (1.0.091008) stable; urgency=low

  * Included the tool clean-user-backups, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 08 Oct 2009 11:00:55 -0300

quotas-config (1.0.080409) stable; urgency=low

  * Updated the package to the Etch Debian standards, and started
    distributing it as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 02:03:20 -0300

quotas-config (1.0.070904) stable; urgency=low

  * Included the user tool clean-backup, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  4 Sep 2007 20:26:08 -0300

quotas-config (1.0.070413) stable; urgency=low

  * Improved the error handling of the tools, so that they will not leave
    any stray lock files in the system, and so that they will be able to
    deal gracefully with non-existing users or groups found in the text
    quota files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 13 Apr 2007 18:20:57 -0300

quotas-config (1.0.061129) stable; urgency=low

  * Fixed a few small errors in the comment lines of some programs.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 29 Nov 2006 15:24:16 -0200

quotas-config (1.0.061125) stable; urgency=low

  * Fixed a few small errors in the man pages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 25 Nov 2006 03:26:30 -0200

quotas-config (0.0.20060829) stable; urgency=low

  * Fixed a silly bug in the cron.daily crontab file.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 29 Aug 2006 08:48:55 -0300

quotas-config (0.0.20060812) stable; urgency=low

  * Added a more complete set of examples of quota data files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 12 Aug 2006 12:20:11 -0300

quotas-config (0.0.20060811) stable; urgency=low

  * Moved the example quota data files to a subdirectory, in order to
    avoid problems with the tool edit-quotas. Adjusted the manual pages
    accordingly.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 11 Aug 2006 23:11:47 -0300

quotas-config (0.0.20060810) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 10 Aug 2006 16:53:36 -0300

Local variables:
mode: debian-changelog
End:
