## quotas-config 1.0.160917

=== debian/changelog ===
quotas-config (1.0.160917) UNRELEASED; urgency=medium

  * Added the option -l to the invocation of the command quota, in order
    to avoid probing NFS mounts for quotas.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Sat, 17 Sep 2016 15:16:57 -0300
