=== debian/changelog ===
quotas-config (1.0.171226) UNRELEASED; urgency=medium

  * Added the option -l to the invocation of the command quota, in order
    to avoid probing NFS mounts for quotas.
  * Added cache2 to excluded cache directories when doit backups.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Tue, 26 Dec 2017 13:01:20 -0200
