=== debian/control ===
Source: quotas-config
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: quotas-config
Architecture: all
Depends: tcsh, quota, quotatool
Description: Tools for configuring disk quotas by means of text files
 This is a set of tools for configuring and maintaining disk quotas,
 which is based on a set of ASCII text configuration files, rather
 than on just the usual binary files at the root of each filesystem;
 it can be used on standalone servers and in clusters of servers that
 operate together as a single system, from the point of view of the
 users, thus allowing for centralized configuration of disk quotas.
 .
 Because the disk quotas associated to each user on each filesystem
 are recorded and kept in text files, they are easier to manipulate
 and more likely to survive a system crash, which sometimes causes
 corruption of the binary quota files and loss of all the disk quota
 configuration data. The tools allow for easy reconstruction of the
 binary quota files from the text quota files.
